SDL_HINT_JOYSTICK_HIDAPI_STEAM(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_STEAM - A variable controlling whether the HIDAPI driver for Bluetooth Steam Controllers should be used.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_STEAM "SDL_JOYSTICK_HIDAPI_STEAM"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI driver is not used. (default)

• "1": HIDAPI driver is used for Steam Controllers, which requires Bluetooth access and may prompt the user for permission on iOS and Android.

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.2.0.